corda / net.corda.node.services.messaging / ArtemisMessagingComponent / ArtemisAddress

# ArtemisAddress

`interface ArtemisAddress : MessageRecipients`

### Properties

queueName | `abstract val queueName: String`

### Inheritors

ArtemisPeerAddress | `interface ArtemisPeerAddress : ArtemisAddress, SingleMessageRecipient`
ServiceAddress | `data class ServiceAddress : ArtemisAddress, MessageRecipientGroup` ServiceAddress implements MessageRecipientGroup. It holds a queue associated with a service advertised by zero or more nodes. Each advertising node has an associated consumer.